<?php
	class SensorController extends SensorModel {
		private $sensor1;
		private $sensor2;

		public function __construct($sensor1, $sensor2){
            $this->sensor1 = $sensor1;
            $this->sensor2 = $sensor2;
		}

		public function createSensor(){
			$result = $this->insertSensor($this->sensor1, $this->sensor2);
			return $result;
		}

		public function updateSensorOnOff($idSensor, $onoff){
			$result = $this->editSensorOnOff($idSensor, $onoff);
			return $result;
		}

		public function updatePrensa($idSensor, $prensa){
			$result = $this->editPrensa($idSensor, $prensa);
			return $result;
		}

		public function updateShutDown($idSensor, $onoff, $prensa){
			$result = $this->editShutDown($idSensor, $onoff, $prensa);
			return $result;
		}

		public function updateGaveta($idSensor, $gaveta){
			$result = $this->editGaveta($idSensor, $gaveta);
			return $result;
		}
	}